[DNS Records] Delete a DNS record
curl --request DELETE \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/dns-zones/{id}/records/{record_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/dns-zones/{id}/records/{record_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/dns-zones/{id}/records/{record_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Domains
[DNS Records] Delete a DNS record
Permanently delete a DNS record from the zone. The record is immediately removed from Cloudflare’s global network. This action is irreversible. Exercise caution when deleting critical records such as NS or SOA records as this may affect zone functionality.
DELETE
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
dns-zones
/
{id}
/
records
/
{record_id}
[DNS Records] Delete a DNS record
Authorizations
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Path Parameters
The unique identifier (UUID) of the DNS zone
The unique identifier (UUID) of the DNS record to delete
Response
DNS record deleted successfully
⌘I

